> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Confirm a reservation.

> Confirm a reservation using its ID and token.

- Product: Reservations
- Section: Reservation
- Snapshot: Current
- Method: `PUT`
- Path: `/api/reservations/{id}/confirm`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Query parameters

### `sendEmail`

Type: `boolean`  
Required: no  

### `reconfirm`

Type: `boolean`  
Required: no  
Default: `false`  

### `organization`

Type: `number`  
Required: yes  

### `token`

Type: `string`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reservations.confirm({
  id: 0,
  organization: 0,
  token: "<token>",
});
```

## Execute with curl

```bash
curl -X PUT "https://app.recranet.com/api/reservations/$ID/confirm" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION" \
    --url-query "token=$TOKEN"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Example

```json
null
```

##### Schema

###### unknown

Type: `unknown`  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/reservations/methods/confirm/)
- [TypeScript Markdown](/reservations/methods/confirm.md?lang=typescript)
- [curl Markdown](/reservations/methods/confirm.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/reservations/llms.txt)
- [snapshot llms.txt](/reservations/llms.txt)
